# ezQuake Manual: Console Settings Variables

## cl_chatmode

### Description

Console chat mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

### Values

value | description
0 | Text in the console is always treated as a command and in order to chat you have to use messagemode/messagemode2 or use the say/say_team commands.
1 | Everything typed in the console goes into chat. In order to issue a command, prefix it with a slash (/).
2 | If the first word in the line is a command, it is executed. Otherwise, the line is sent as chat.

## cl_savehistory

### Description

Save console commands history to .ezquake_history. Loads history from this file while starting ezquake.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | save
0 | don't save

## con_clearnotify

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Messages won't say when you toggle console.
0 | Messages stay even when you toggle console.

## con_funchars_mode

### Description

Orange text, LEDs and special chars with [Ctrl] key - kind of MQWCL behaviour when set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | MQWCL behaviour - [Ctrl] + [Y] turns on yellow number input
0 | FuhQuake behaviour - [Ctrl] + key for yellow numbers and LEDs

## con_highlight

### Description

Console highlighting mode. Will highlight a line in the console which contains your nickname.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | No highlighting
1 | Highlighted line will be all white.
2 | Highlighted line will start with the text given in con_highlight_mark
3 | Both 1 and 2: highlighted line will be white and start with special text

See con_highlight_mark.

## con_highlight_mark

### Description

Specifies the text that will be used to highlight lines with con_highlight 2 and 3.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.
This text will be used on the beginning of the highlighted line

## con_notify

### Description

Toggles the display of the notification area

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

Notification area is the place where chat and game messages are displayed

## con_notifylines

### Description

This variable sets the number of notify lines (default 4, max 20) to be used at the top of the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

### Values

value | description
0 | Use no notify lines at all.
1 | Use one notify line.
20 | Use 20 notify lines.

...

## con_notifytime

### Description

How long console messages stay on screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## con_particles_alpha

### Description

Sets the transparency of con_particles_images.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.
From 0....1. 0 is invisible, 1 is completely solid.

## con_particles_images

### Description

Set the number of images you have in /textures/conpart.png.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is integer.
Each image should take up 64x64 pixels.

## con_shift

### Description

Adjusts vertical offset of background of the console.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## con_sound_mm1_file

This variable has been renamed to s_mm1_file

### Description

You can specify notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## con_sound_mm1_volume

This variable has been renamed to s_mm1_volume

### Description

You can specify volume of notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## con_sound_mm2_file

This variable has been renamed to s_mm2_file

### Description

You can specify notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## con_sound_mm2_volume

This variable has been renamed to s_mm2_volume

### Description

You can specify volume of notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## con_sound_other_file

This variable has been renamed to s_other_file

### Description

You can specify notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## con_sound_other_volume

This variable has been renamed to s_otherchat_volume

### Description

You can specify volume of notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## con_sound_spec_file

This variable has been renamed to s_spec_file

### Description

You can specify notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## con_sound_spec_volume

This variable has been renamed to s_spec_volume

### Description

You can specify volume of notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## con_tilde_mode

### Description

When enabled, allows you to use the tilde key also in the console and when typing messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Treat tilde as a key leading to type a character associated to it
0 | Always use tilde to toggle the console

To exit the console with con_tilde_mode 1, use Escape

## con_timestamps

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | will enable timestamps for chat text in console, every chat message will begin with timestamp (hour:minute) followed by a message
0 | Console timesptamps turned OFF

## con_wordwrap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable word wrapping.
0 | Disable word wrapping.

## cvar_viewdefault

### Description

When you type a cvar name into console (like 'gl_gamma' or 'r_rocketlight'), the client will tell you the default value of the cvar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | On.
0 | Off.

## cvar_viewhelp

### Description

Automatically prints manual page when a variable name is typed in the console.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Print help automatically
0 | Do not print help

## cvar_viewlatched

### Description

When you type a variable name in the console, you'll be able to see it's latched value if this is turned on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Display latched value (if any)
0 | Don't display latched value

Latched values are used for example for renderer settings. Variable value is latched until the renderer is restarted, in that moment the latched value becomes the actuall value of the variable.

## gl_alphafont

### Description

When turned on allows the alpha transparency layer support for the console font.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Use full 256 levels of transparency for console font
0 | Use only 2 levels of transparency for console font

## gl_consolefont

### Description

Changes your console font. Put all your charset images in qw/textures/charsets/*.png (and *.tga) and use /loadcharset XXX to load XXX.png (or tga). "/gl_consolefont original" will restore the 8bit font in your gfx.wad (this is default). Note: loadcharset is an alias for gl_consolefont.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: povo5

Variable is string.

## gl_smoothfont

### Description

Smoothens out the font (which = good). But in some cases the font wasn't designed to be smoothened (sometimes the case of custom console fonts etc).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | On.
0 | Off.

## log_dir

### Description

The logging dir.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## log_readable

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Will convert all non printable characters to printable characters in your log. This makes your log readable because all the weird ascii characters that usually occur because of different coloured text in the client (and because of weird symbols - ocrana led's etc) are converted into printable characters.
0 | Off.

## scr_conalpha

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

### Values

value | description
1 | Normal.
0 | Transparent.

## scr_conback

### Description

Allows display of map preview as a console background

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Never display map preview.
1 | Display map preview on level loading process.
2 | Always display map preview as a console background.

## scr_consize

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.5

### Values

value | description
1 | Maximum console height.
0 | Minimal console height.

## scr_conspeed

### Description

This variable controls the speed at which the console screen scrolls up and down.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1000

Variable is float.

## scr_printspeed

### Description

This variable controls how fast the text is displayed at the end of the single player episodes.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs